Changeset 2663


Ignore:
Timestamp:
Dec 1, 2012 1:38:40 PM (8 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/stable/1.3/configure

    r2600 r2663  
    10941094                          icl/link). Default when mentioned: mingw. Default
    10951095                          when not mentioned: disabled.
     1096  --enable-static-standardlibs
     1097                          whether to link against static standard libraries
     1098                          (libgcc, libgfortran, libstdc++)
    10961099  --disable-pkg-config    disable use of pkg-config (if available)
    10971100  --enable-static[=PKGS]
     
    19581961
    19591962
     1963# check whether to add flags for static linking against standard libraries
     1964# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1965if test "${enable_static_standardlibs+set}" = set; then
     1966  enableval="$enable_static_standardlibs"
     1967  case "$enableval" in
     1968     no | yes | auto ) ;;
     1969     *)
     1970       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1971echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1972   { (exit 1); exit 1; }; } ;;
     1973   esac
     1974   use_static_standardlibs=$enableval
     1975else
     1976  if test $enable_shared = yes ; then
     1977     use_static_standardlibs = no
     1978   else
     1979     use_static_standardlibs = auto
     1980   fi
     1981
     1982
     1983fi;
     1984
     1985
     1986
     1987
     1988
    19601989
    19611990ac_ext=c
     
    30813110    CFLAGS="$OPT_CFLAGS"
    30823111  fi
     3112
    30833113else
    30843114  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32493279esac
    32503280
     3281# check whether to add flags for static linking against standard libraries to LDFLAGS
     3282if test x$use_static_standardlibs != xno ; then
     3283  case $build in
     3284    *-mingw*)
     3285      static_standardlib_flag=-static
     3286      ;;
     3287    *)
     3288      static_standardlib_flag=-static-libgcc
     3289      ;;
     3290  esac
     3291  case " $LDFLAGS " in
     3292    *" $static_standardlib_flag "* ) ;;
     3293    *)
     3294    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3295echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3296    coin_save_LDFLAGS="$LDFLAGS"
     3297    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3298    cat >conftest.$ac_ext <<_ACEOF
     3299/* confdefs.h.  */
     3300_ACEOF
     3301cat confdefs.h >>conftest.$ac_ext
     3302cat >>conftest.$ac_ext <<_ACEOF
     3303/* end confdefs.h.  */
     3304
     3305int
     3306main ()
     3307{
     3308int i=0;
     3309  ;
     3310  return 0;
     3311}
     3312_ACEOF
     3313rm -f conftest.$ac_objext conftest$ac_exeext
     3314if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3315  (eval $ac_link) 2>conftest.er1
     3316  ac_status=$?
     3317  grep -v '^ *+' conftest.er1 >conftest.err
     3318  rm -f conftest.er1
     3319  cat conftest.err >&5
     3320  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3321  (exit $ac_status); } &&
     3322         { ac_try='test -z "$ac_c_werror_flag"
     3323                         || test ! -s conftest.err'
     3324  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3325  (eval $ac_try) 2>&5
     3326  ac_status=$?
     3327  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3328  (exit $ac_status); }; } &&
     3329         { ac_try='test -s conftest$ac_exeext'
     3330  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3331  (eval $ac_try) 2>&5
     3332  ac_status=$?
     3333  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3334  (exit $ac_status); }; }; then
     3335  echo "$as_me:$LINENO: result: yes" >&5
     3336echo "${ECHO_T}yes" >&6
     3337else
     3338  echo "$as_me: failed program was:" >&5
     3339sed 's/^/| /' conftest.$ac_ext >&5
     3340
     3341echo "$as_me:$LINENO: result: no" >&5
     3342echo "${ECHO_T}no" >&6
     3343       LDFLAGS="$coin_save_LDFLAGS"
     3344       if test $use_static_standardlibs = yes ; then
     3345         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3346echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3347   { (exit 1); exit 1; }; }
     3348       fi
     3349
     3350fi
     3351rm -f conftest.err conftest.$ac_objext \
     3352      conftest$ac_exeext conftest.$ac_ext
     3353    ;;
     3354  esac
     3355fi
     3356
    32513357ac_ext=c
    32523358ac_cpp='$CPP $CPPFLAGS'
     
    32773383
    32783384
     3385
    32793386ac_ext=f
    32803387ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    34863593
    34873594# Provide some information about the compiler.
    3488 echo "$as_me:3488:" \
     3595echo "$as_me:3595:" \
    34893596     "checking for Fortran 77 compiler version" >&5
    34903597ac_compiler=`set X $ac_compile; echo $2`
     
    38533960    FFLAGS="$OPT_FFLAGS"
    38543961  fi
     3962
    38553963else
    38563964  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39944102    ;;
    39954103esac
     4104
     4105# check whether to add flag for static linking against standard libraries to LDFLAGS
     4106if test x$use_static_standardlibs != xno ; then
     4107  case $build in
     4108    *-mingw*)
     4109      static_standardlib_flag=-static
     4110      ;;
     4111    *)
     4112      static_standardlib_flag=-static-libgfortran
     4113      ;;
     4114  esac
     4115  case " $LDFLAGS " in
     4116    *" $static_standardlib_flag "* ) ;;
     4117    *)
     4118    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4119echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4120    coin_save_LDFLAGS="$LDFLAGS"
     4121    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4122    cat >conftest.$ac_ext <<_ACEOF
     4123      program main
     4124      integer i
     4125      end
     4126_ACEOF
     4127rm -f conftest.$ac_objext conftest$ac_exeext
     4128if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4129  (eval $ac_link) 2>conftest.er1
     4130  ac_status=$?
     4131  grep -v '^ *+' conftest.er1 >conftest.err
     4132  rm -f conftest.er1
     4133  cat conftest.err >&5
     4134  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4135  (exit $ac_status); } &&
     4136         { ac_try='test -z "$ac_f77_werror_flag"
     4137                         || test ! -s conftest.err'
     4138  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4139  (eval $ac_try) 2>&5
     4140  ac_status=$?
     4141  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4142  (exit $ac_status); }; } &&
     4143         { ac_try='test -s conftest$ac_exeext'
     4144  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4145  (eval $ac_try) 2>&5
     4146  ac_status=$?
     4147  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4148  (exit $ac_status); }; }; then
     4149  echo "$as_me:$LINENO: result: yes" >&5
     4150echo "${ECHO_T}yes" >&6
     4151else
     4152  echo "$as_me: failed program was:" >&5
     4153sed 's/^/| /' conftest.$ac_ext >&5
     4154
     4155echo "$as_me:$LINENO: result: no" >&5
     4156echo "${ECHO_T}no" >&6
     4157       LDFLAGS="$coin_save_LDFLAGS"
     4158       if test $use_static_standardlibs = yes ; then
     4159         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4160echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4161   { (exit 1); exit 1; }; }
     4162       fi
     4163
     4164fi
     4165rm -f conftest.err conftest.$ac_objext \
     4166      conftest$ac_exeext conftest.$ac_ext
     4167    ;;
     4168  esac
     4169fi
    39964170
    39974171ac_ext=c
     
    41464320# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    41474321if test "x${prefix}" = xNONE ; then
    4148   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    4149 else
    4150   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4322  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4323else
     4324  COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    41514325fi
    41524326
     
    42594433ac_save_FFLAGS=$FFLAGS
    42604434FFLAGS="$FFLAGS $ac_verb"
    4261 (eval echo $as_me:4261: \"$ac_link\") >&5
     4435(eval echo $as_me:4435: \"$ac_link\") >&5
    42624436ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42634437echo "$ac_f77_v_output" >&5
     
    43374511ac_save_FFLAGS=$FFLAGS
    43384512FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4339 (eval echo $as_me:4339: \"$ac_link\") >&5
     4513(eval echo $as_me:4513: \"$ac_link\") >&5
    43404514ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    43414515echo "$ac_f77_v_output" >&5
     
    52155389
    52165390# Provide some information about the compiler.
    5217 echo "$as_me:5217:" \
     5391echo "$as_me:5391:" \
    52185392     "checking for Fortran compiler version" >&5
    52195393ac_compiler=`set X $ac_compile; echo $2`
     
    69877161*-*-irix6*)
    69887162  # Find out which ABI we are using.
    6989   echo '#line 6989 "configure"' > conftest.$ac_ext
     7163  echo '#line 7163 "configure"' > conftest.$ac_ext
    69907164  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    69917165  (eval $ac_compile) 2>&5
     
    94649638   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94659639   -e 's:$: $lt_compiler_flag:'`
    9466    (eval echo "\"\$as_me:9466: $lt_compile\"" >&5)
     9640   (eval echo "\"\$as_me:9640: $lt_compile\"" >&5)
    94679641   (eval "$lt_compile" 2>conftest.err)
    94689642   ac_status=$?
    94699643   cat conftest.err >&5
    9470    echo "$as_me:9470: \$? = $ac_status" >&5
     9644   echo "$as_me:9644: \$? = $ac_status" >&5
    94719645   if (exit $ac_status) && test -s "$ac_outfile"; then
    94729646     # The compiler can only warn and ignore the option if not recognized
     
    97329906   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    97339907   -e 's:$: $lt_compiler_flag:'`
    9734    (eval echo "\"\$as_me:9734: $lt_compile\"" >&5)
     9908   (eval echo "\"\$as_me:9908: $lt_compile\"" >&5)
    97359909   (eval "$lt_compile" 2>conftest.err)
    97369910   ac_status=$?
    97379911   cat conftest.err >&5
    9738    echo "$as_me:9738: \$? = $ac_status" >&5
     9912   echo "$as_me:9912: \$? = $ac_status" >&5
    97399913   if (exit $ac_status) && test -s "$ac_outfile"; then
    97409914     # The compiler can only warn and ignore the option if not recognized
     
    983610010   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    983710011   -e 's:$: $lt_compiler_flag:'`
    9838    (eval echo "\"\$as_me:9838: $lt_compile\"" >&5)
     10012   (eval echo "\"\$as_me:10012: $lt_compile\"" >&5)
    983910013   (eval "$lt_compile" 2>out/conftest.err)
    984010014   ac_status=$?
    984110015   cat out/conftest.err >&5
    9842    echo "$as_me:9842: \$? = $ac_status" >&5
     10016   echo "$as_me:10016: \$? = $ac_status" >&5
    984310017   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    984410018   then
     
    1225312427  lt_status=$lt_dlunknown
    1225412428  cat > conftest.$ac_ext <<EOF
    12255 #line 12255 "configure"
     12429#line 12429 "configure"
    1225612430#include "confdefs.h"
    1225712431
     
    1235312527  lt_status=$lt_dlunknown
    1235412528  cat > conftest.$ac_ext <<EOF
    12355 #line 12355 "configure"
     12529#line 12529 "configure"
    1235612530#include "confdefs.h"
    1235712531
     
    1471314887   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1471414888   -e 's:$: $lt_compiler_flag:'`
    14715    (eval echo "\"\$as_me:14715: $lt_compile\"" >&5)
     14889   (eval echo "\"\$as_me:14889: $lt_compile\"" >&5)
    1471614890   (eval "$lt_compile" 2>conftest.err)
    1471714891   ac_status=$?
    1471814892   cat conftest.err >&5
    14719    echo "$as_me:14719: \$? = $ac_status" >&5
     14893   echo "$as_me:14893: \$? = $ac_status" >&5
    1472014894   if (exit $ac_status) && test -s "$ac_outfile"; then
    1472114895     # The compiler can only warn and ignore the option if not recognized
     
    1481714991   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1481814992   -e 's:$: $lt_compiler_flag:'`
    14819    (eval echo "\"\$as_me:14819: $lt_compile\"" >&5)
     14993   (eval echo "\"\$as_me:14993: $lt_compile\"" >&5)
    1482014994   (eval "$lt_compile" 2>out/conftest.err)
    1482114995   ac_status=$?
    1482214996   cat out/conftest.err >&5
    14823    echo "$as_me:14823: \$? = $ac_status" >&5
     14997   echo "$as_me:14997: \$? = $ac_status" >&5
    1482414998   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1482514999   then
     
    1638716561   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1638816562   -e 's:$: $lt_compiler_flag:'`
    16389    (eval echo "\"\$as_me:16389: $lt_compile\"" >&5)
     16563   (eval echo "\"\$as_me:16563: $lt_compile\"" >&5)
    1639016564   (eval "$lt_compile" 2>conftest.err)
    1639116565   ac_status=$?
    1639216566   cat conftest.err >&5
    16393    echo "$as_me:16393: \$? = $ac_status" >&5
     16567   echo "$as_me:16567: \$? = $ac_status" >&5
    1639416568   if (exit $ac_status) && test -s "$ac_outfile"; then
    1639516569     # The compiler can only warn and ignore the option if not recognized
     
    1649116665   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1649216666   -e 's:$: $lt_compiler_flag:'`
    16493    (eval echo "\"\$as_me:16493: $lt_compile\"" >&5)
     16667   (eval echo "\"\$as_me:16667: $lt_compile\"" >&5)
    1649416668   (eval "$lt_compile" 2>out/conftest.err)
    1649516669   ac_status=$?
    1649616670   cat out/conftest.err >&5
    16497    echo "$as_me:16497: \$? = $ac_status" >&5
     16671   echo "$as_me:16671: \$? = $ac_status" >&5
    1649816672   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1649916673   then
     
    1869818872   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1869918873   -e 's:$: $lt_compiler_flag:'`
    18700    (eval echo "\"\$as_me:18700: $lt_compile\"" >&5)
     18874   (eval echo "\"\$as_me:18874: $lt_compile\"" >&5)
    1870118875   (eval "$lt_compile" 2>conftest.err)
    1870218876   ac_status=$?
    1870318877   cat conftest.err >&5
    18704    echo "$as_me:18704: \$? = $ac_status" >&5
     18878   echo "$as_me:18878: \$? = $ac_status" >&5
    1870518879   if (exit $ac_status) && test -s "$ac_outfile"; then
    1870618880     # The compiler can only warn and ignore the option if not recognized
     
    1896619140   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1896719141   -e 's:$: $lt_compiler_flag:'`
    18968    (eval echo "\"\$as_me:18968: $lt_compile\"" >&5)
     19142   (eval echo "\"\$as_me:19142: $lt_compile\"" >&5)
    1896919143   (eval "$lt_compile" 2>conftest.err)
    1897019144   ac_status=$?
    1897119145   cat conftest.err >&5
    18972    echo "$as_me:18972: \$? = $ac_status" >&5
     19146   echo "$as_me:19146: \$? = $ac_status" >&5
    1897319147   if (exit $ac_status) && test -s "$ac_outfile"; then
    1897419148     # The compiler can only warn and ignore the option if not recognized
     
    1907019244   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1907119245   -e 's:$: $lt_compiler_flag:'`
    19072    (eval echo "\"\$as_me:19072: $lt_compile\"" >&5)
     19246   (eval echo "\"\$as_me:19246: $lt_compile\"" >&5)
    1907319247   (eval "$lt_compile" 2>out/conftest.err)
    1907419248   ac_status=$?
    1907519249   cat out/conftest.err >&5
    19076    echo "$as_me:19076: \$? = $ac_status" >&5
     19250   echo "$as_me:19250: \$? = $ac_status" >&5
    1907719251   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1907819252   then
     
    2254722721     # construct dependencies variables from LIBS variables
    2254822722     # we add an extra space in LIBS so we can substitute out everything starting with " -"
    22549      # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* as used on Windows
     22723     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* and wsock32.lib as used on Windows
    2255022724     # then remove everything of the form -xxx
    2255122725     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    22552      METIS_DEPENDENCIES=`echo " $METIS_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    22553 
    22554        HSL_DEPENDENCIES=`echo " $HSL_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     22726     METIS_DEPENDENCIES=`echo " $METIS_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     22727
     22728       HSL_DEPENDENCIES=`echo " $HSL_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    2255522729
    2255622730  fi
     
    2590026074     # construct dependencies variables from LIBS variables
    2590126075     # we add an extra space in LIBS so we can substitute out everything starting with " -"
    25902      # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* as used on Windows
     26076     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* and wsock32.lib as used on Windows
    2590326077     # then remove everything of the form -xxx
    2590426078     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
    25905      BLAS_DEPENDENCIES=`echo " $BLAS_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    25906 
    25907        HSL_DEPENDENCIES=`echo " $HSL_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     26079     BLAS_DEPENDENCIES=`echo " $BLAS_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     26080
     26081       HSL_DEPENDENCIES=`echo " $HSL_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
    2590826082
    2590926083  fi
Note: See TracChangeset for help on using the changeset viewer.